Update User DB Connection

Version 4.0.26.18 (latest)

Update User DB Connection

Updates an existing user DB connection (only enabling/disabling is allowed via the write limits in UserDbConnectionMapper).

Request

PATCH /user_db_connections/{user_db_connection_id}
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
user_db_connection_id
string
Id of user DB connection
body
HTTP Body
Expand HTTP Body definition...
body
User DB Connection
Expand UserDbConnection definition...
can
object
Operations the current user is able to perform on this object
id
string
ID of the connection
name
string
Name of the connection (must match virtual namespace pattern)
user_id
integer
ID of the user who owns the connection
dialect
string
Database dialect name
auth_type
string
Authentication type (oauth, service_account, password)
host
string
Host name/address of server
port
string
Port number on server
database
string
Database name
schema
string
Schema name
jdbc_additional_params
string
Additional JDBC parameters
oauth_application_id
integer
OAuth application ID (if auth_type is oauth)
enabled
boolean
Whether this connection is enabled
created_at
string
When the connection was created
updated_at
string
When the connection was last updated

Response

200: User DB Connection

Datatype
Description
(object)
can
object
Operations the current user is able to perform on this object
id
string
ID of the connection
name
string
Name of the connection (must match virtual namespace pattern)
user_id
integer
ID of the user who owns the connection
dialect
string
Database dialect name
auth_type
string
Authentication type (oauth, service_account, password)
host
string
Host name/address of server
port
string
Port number on server
database
string
Database name
schema
string
Schema name
jdbc_additional_params
string
Additional JDBC parameters
oauth_application_id
integer
OAuth application ID (if auth_type is oauth)
enabled
boolean
Whether this connection is enabled
created_at
string
When the connection was created
updated_at
string
When the connection was last updated

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

403: Permission Denied

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link